# Project Protocol:

## Description 
This project automates the execution of four R scripts for a GWAS analysis using a Makefile, ensuring a fully automated process.

## Installation of micromamba 
Installation instructions for micromamba can be found in the `doc/01install.md` file.

## Using Containers
Instructions for using the containers can be found in the `doc/01install.md` file.

## Execution
Steps for running the analysis are detailed in the `doc/02run.md` file.

## Directory Organization 
**containers** : Definitions of the virtual image with specific versions of the required software and packages. 

**doc** : Documentation for installation and execution. 

**src** : R scripts for the GWAS analysis.

**workflows** : Makefile to run the scripts in the correct order. 

**.gitignore** : Files to be excluded from publication. 

**RELEASE.md** : Git version history.

## Version 
To obtain version information, please consult the commit and branch indicated in the `RELEASE.md` file.
