Install the micromamba

~~~
curl -L https://micromamba.snakepit.net/api/micromamba/linux-64/latest | tar -xvj bin/micromamba

mkdir -p $HOME/.local/bin

mv bin/micromamba $HOME/.local/bin/

mkdir -p $HOME/micromamba
~~~

Add these lines to ~/.bashrc

~~~
export PATH=$HOME/.local/bin:$PATH

export MAMBA_ROOT_PREFIX=$HOME/micromamba

eval "$(micromamba shell hook -s posix)"

source ~/.bashrc
~~~

Create a m2bsgreprod micromamba environment and install apptainer 1.3.2

~~~
micromamba create --name m2bsgreprod python=3.12  -c conda-forge

micromamba activate m2bsgreprod

micromamba install conda-forge::apptainer=1.3.2
~~~

Create a Docker image 

~~~
cd results/containers

docker build -t Dockerfile
~~~

Convert Docker image to SIF file

~~~
sudo apptainer build results/containers/m2bsgreprod3.sif results/containers/m2bsgreprod.def
~~~

