options(repos = c(CRAN = "https://cloud.r-project.org"))
output_dir = "results/tp1"
dir.create(output_dir, showWarnings = F, recursive = T)

# if (!require("BiocManager", quietly = TRUE))
#  install.packages("BiocManager")

#if (!require("snpStats", quietly = TRUE))
#  BiocManager::install("snpStats")

#if (!require("SNPRelate", quietly = TRUE))
#BiocManager::install("SNPRelate")

# Charger les bibliothèques
#library(snpStats)
#library(SNPRelate)
#library(devtools)
#library(plyr)

# Les données analysées nécessitant beaucoup de RAM, nous allons sélectionner aléatoirement 250000 SNPs et réecrire des fichiers bed, bim, fam
penncath_bed_path = "results/data/penncath.bed"
penncath_bim_path = "results/data/penncath.bim"
penncath_fam_path = "results/data/penncath.fam"

geno <- snpStats::read.plink(penncath_bed_path, penncath_bim_path, penncath_fam_path, select.snps=sample(1:861473, 25000, replace = FALSE ), na.strings = ("-9"))

plink_base=file.path(output_dir, "plink_base")
snpStats::write.plink(plink_base, snps=geno$genotypes, pedigree=geno$fam[,1], id=geno$fam[,1], mother=geno$fam[,4], sex=geno$fam[,5], phenotype=geno$fam[,6], chromosome = geno$map[,1], genetic.distance = geno$map[,3], position = geno$map[,4], allele.1 = geno$map[,5], allele.2 = geno$map[,6], na.code = ("-9"))

genoBim<-geno$map
colnames(genoBim)<-c("chr", "SNP", "gen.dist", "position", "A1", "A2")
#head(genoBim)

genotype<-geno$genotype
#print(genotype)

genoFam<-geno$fam
#head(genoFam)

# On commence par libérer de l'espace
rm(geno)

rdata_path = file.path(output_dir, "TP1_asbvg.RData")
save.image(rdata_path)
